﻿namespace TestProject
{
    /// <summary>
    /// 매트릭스
    /// </summary>
    public static class Matrix
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Laplacian Of Gaussian - LaplacianOfGaussian

        /// <summary>
        /// Laplacian Of Gaussian
        /// </summary>
        public static double[,] LaplacianOfGaussian
        {
            get
            {
                return new double[,]
                {
                    {  0,  0, -1,  0,  0 },
                    {  0, -1, -2, -1,  0 },
                    { -1, -2, 16, -2, -1 },
                    {  0, -1, -2, -1,  0 },
                    {  0,  0, -1,  0,  0 }
                };
            }
        }

        #endregion
    }
}